# **Features und Nutzung der Anwendung**

In diesem Abschnitt beschreibe ich die Hauptfunktionen von MYP (Manage Your Printer) und gebe Anweisungen zur Nutzung der verschiedenen Module.

---

## **1. Hauptfunktionen**

### **1.1. Druckerreservierung**
- Nutzer können Drucker für einen definierten Zeitraum reservieren.
- Konflikte bei Reservierungen werden durch ein Echtzeit-Überprüfungssystem verhindert.

### **1.2. Fehler- und Auslastungsanalyse**
- Darstellung von Druckfehlern nach Kategorien und Häufigkeiten.
- Übersicht der aktuellen und historischen Druckernutzung.
- Diagramme zur Fehlerrate, Nutzung und Druckvolumen.

### **1.3. Admin-Dashboard**
- Verwaltung von Druckern, Nutzern und Druckaufträgen.
- Überblick über alle Abbruchgründe und Druckfehler.
- Zugriff auf erweiterte Statistiken und Prognosen.

---

## **2. Nutzung der Anwendung**

### **2.1. Login und Authentifizierung**
- Die Anwendung unterstützt OAuth-basierte Authentifizierung.
- Nutzer müssen sich mit einem gültigen Konto anmelden, um Zugriff auf die Funktionen zu erhalten.

### **2.2. Dashboard**
- Nach dem Login gelangen die Nutzer auf das Dashboard, das einen Überblick über die aktuelle Druckernutzung bietet.
- Administratoren haben Zugriff auf zusätzliche Menüpunkte, wie z. B. Benutzerverwaltung.

---

## **3. Admin-Funktionen**

### **3.1. Druckerverwaltung**
- Administratoren können Drucker hinzufügen, bearbeiten oder löschen.
- Status eines Druckers (z. B. „in Betrieb“, „außer Betrieb“) kann angepasst werden.

### **3.2. Nutzerverwaltung**
- Verwalten von Benutzerkonten, einschließlich Rollen (z. B. „Admin“ oder „User“).
- Benutzer können aktiviert oder deaktiviert werden.

### **3.3. Statistiken und Berichte**
- Diagramme wie:
  - **Abbruchgründe:** Zeigt häufige Fehlerursachen.
  - **Fehlerrate:** Prozentuale Fehlerquote der Drucker.
  - **Nutzung:** Prognosen für die Druckernutzung pro Wochentag.

---

## **4. Diagramme und Visualisierungen**

### **4.1. Abbruchgründe**
- Ein Säulendiagramm zeigt die Häufigkeiten der Fehlerursachen.
- Nutzt Echtzeit-Daten aus der Druckhistorie.

### **4.2. Prognostizierte Nutzung**
- Ein Liniendiagramm zeigt die erwartete Druckernutzung pro Tag.
- Hilft bei der Planung von Wartungszeiten.

### **4.3. Druckvolumen**
- Balkendiagramme vergleichen Druckaufträge heute, diese Woche und diesen Monat.

---

## **5. Interaktive Komponenten**
- **Benachrichtigungen:** Informieren über Druckaufträge, Fehler oder Systemereignisse.
- **Filter und Suchfunktionen:** Erleichtern das Auffinden von Druckern oder Druckaufträgen.
- **Rollenbasierter Zugriff:** Funktionen sind je nach Benutzerrolle eingeschränkt.

Nächster Schritt: [=> Technische Architektur und Codeaufbau](./Architektur.md)